## org.codehaus.groovy.tools.shell.util
Class Buffer

Field Summary
`boolean` | `autoClear`
`StringBuffer` | `buff`

Constructor Summary
`Buffer()`

Method Summary
`Buffer` | `append(String text)`
`Buffer` | `append(Object obj)`
`Buffer` | `attrib(int code)`
`Buffer` | `attrib(String text, int code)`
`Buffer` | `attrib(String text, String codeName)`
`void` | `clear()`
`int` | `size()`
`String` | `toString()`

Constructor Detail

### Buffer

    Buffer()

Method Detail

### append

    public Buffer append(String text)

### append

    public Buffer append(Object obj)

### attrib

    public Buffer attrib(int code)

### attrib

    public Buffer attrib(String text, int code)

### attrib

    public Buffer attrib(String text, String codeName)

### clear

    public void clear()

### size

    public int size()

### toString

    public String toString()